# $Revision: 1.7 $, $Date: 2004/10/31 11:13:18 $
Summary:	IBPP - a C++ client interface for Firebird Server & InterBase
Summary(pl):	IBPP - interfejs klienta w C++ do serwerw baz danych Firebird i InterBase
Name:		ibpp
Version:	2.3.5.0
Release:	2
License:	IBPP License (based on Mozilla Public License)
Group:		Libraries
Source0:	http://dl.sourceforge.net/ibpp/%{name}-2-3-5-0-src.zip
# Source0-md5:	f96991555dec3c98216e0d78f31b8586
Patch0:		%{name}-types.patch
URL:		http://www.ibpp.org/
BuildRequires:	Firebird-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IBPP, where 'PP' stands for '++', is a C++ client interface for
Firebird Server versions 1.0, 1.5 and further. It also works with
InterBase(r) 6.0, though it is expected it might only support Firebird
in the future. It is a class library, free of any specific development
tool dependancies. It is not tied to any 'visual' or 'RAD' tool. It
was indeed developed to add Firebird access in any C++ application.
Those applications using IBPP can be non-visual (CORBA/COM objects,
other libraries of classes and functions, procedural 'legacy' code,
for instance). But it can of course also be used in visual or RAD
environments. IBPP is indeed purely a dynamic SQL interface to
Firebird. In some easy to use C++ classes, you will find nearly all
what is needed to access a Firebird database, and manipulate the data.
IBPP also offers access to most of the administrations tasks :
creating a database, modifying its structure, performing online
backups, administering user accounts on the server and so on.

More background information on %{url} website.

%description -l pl
IBPP, gdzie "PP" oznacza "++", jest interfejsem klienta w C++ do
serwera baz danych Firebird w wersji 1.0, 1.5 i kolejnych. Dziaa
rwnie z Interbase(R) 6.0, chocia w przyszoci jest przewidywane
wsparcie jedynie Firebirda. Jest to biblioteka klas, wolna od
jakichkolwiek zalenoci od narzdzi programistycznych. Nie jest
zwizana z jakimkolwiek narzdziem "wizualnym" bd typu "RAD". Zosta
stworzony aby umoliwi dostp do Firebirda jakiejkolwiek aplikacji
napisanej w C++. Takie aplikacje, ktre uywaj IBPP mog by bez
interfejsu (np. obiekty CORBA/COM, inne biblioteki klas i funkcji,
procedury "dziedziczce" kod). Ale oczywicie moe by rwnie uywany
w aplikacjach z interfejsem lub rodowiskach RAD. IBPP jest tak
naprawd czystym interfejsem dynamicznego SQL do Firebirda. W kilku
atwych do uycia klasach C++ mona znale praktycznie wszystko, co
jest potrzebne aby poczy si z baz danych Firebird i operowa na
jej danych. IBPP oferuje rwnie dostp do wikszoci zada
administracyjnych: tworzenie bazy danych, modyfikacja jej struktury,
tworzenie kopii zapasowych z dziaajcej bazy, administrowanie kontami
uytkownikw na serwerze, itd.

Wicej informacji na stronie: %{url} .

%package devel
Summary:	IBPP library headers
Summary(pl):	Pliki nagwkowe biblioteki IBPP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate IBPP into applications.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania programw korzystajcych z
IBPP.

%package static
Summary:	IBPP static libraries
Summary(pl):	Statyczne biblioteki IBPP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static IBPP libraries.

%description static -l pl
Statyczna wersja biblioteki IBPP.

%prep
%setup -q -c
%patch0 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcflags} %{?debug:-DDEBUG} -fPIC -Wall -DIBPP_LINUX -DIBPP_GCC -I." \
	IBPP_GCC=1 \
	%{?debug:DEBUG=1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}

install release/linux/libibpp.so $RPM_BUILD_ROOT%{_libdir}
install release/linux/libibpp.a $RPM_BUILD_ROOT%{_libdir}
install ibpp.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.txt tests/tests.cpp
%attr(755,root,root) %{_libdir}/libibpp.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_includedir}/ibpp.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libibpp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ibpp.spec,v $
Revision 1.7  2004/10/31 11:13:18  qboosh
- forgot to mention: release 2

Revision 1.6  2004/10/31 11:13:00  qboosh
- use system Firebird headers (included ones don't support alpha/gcc<3.4

Revision 1.5  2004/10/31 11:04:19  qboosh
- added types patch, use PIC

Revision 1.4  2004/10/30 12:10:07  qboosh
- more pl fixes
- fixed install (short-circuit friendly now)
- use standard --debug instead of --with debug

Revision 1.3  2004/10/30 09:28:40  ankry
- more cosmetics

Revision 1.2  2004/10/30 09:24:48  snurf
- tiny cosmetics

Revision 1.1  2004/10/28 09:10:50  jasio
- Initial PLD release.
- Package builds and library working - I'm using it with my programs.
- STBR.

Revision 1.0  2004/10/28 10:23:00  jasio
- Initital PLD release.
